Data Flows - Get
Gets a data flow.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/dataflows/{dataFlowName}?api-version=2018-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
data
|
path | True |
string minLength: 1maxLength: 260 pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$ |
The data flow name. |
|
factory
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ |
The factory name. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| if-none-match |
string |
ETag of the data flow entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
DataFlows_Get
Sample request
Sample response
Date: Mon, 22 Apr 2019 18:33:50 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 48983fb5-612a-44c6-8158-add7ffebb32b
x-ms-ratelimit-remaining-subscription-reads: 11993
x-ms-request-id: 48983fb5-612a-44c6-8158-add7ffebb32b
{
"name": "exampleDataFlow",
"type": "Microsoft.DataFactory/factories/dataflows",
"etag": "15004c4f-0000-0200-0000-5cbe090e0000",
"id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/dataflows/exampleDataFlow",
"properties": {
"type": "MappingDataFlow",
"description": "Sample demo data flow to convert currencies showing usage of union, derive and conditional split transformation.",
"typeProperties": {
"script": "source(output(PreviousConversionRate as double,Country as string,DateTime1 as string,CurrentConversionRate as double),allowSchemaDrift: false,validateSchema: false) ~> USDCurrency\nsource(output(PreviousConversionRate as double,Country as string,DateTime1 as string,CurrentConversionRate as double),allowSchemaDrift: true,validateSchema: false) ~> CADSource\nUSDCurrency, CADSource union(byName: true)~> Union\nUnion derive(NewCurrencyRate = round(CurrentConversionRate*1.25)) ~> NewCurrencyColumn\nNewCurrencyColumn split(Country == 'USD',Country == 'CAD',disjoint: false) ~> ConditionalSplit1@(USD, CAD)\nConditionalSplit1@USD sink(saveMode:'overwrite' ) ~> USDSink\nConditionalSplit1@CAD sink(saveMode:'overwrite' ) ~> CADSink",
"sinks": [
{
"name": "USDSink",
"dataset": {
"type": "DatasetReference",
"referenceName": "USDOutput"
}
},
{
"name": "CADSink",
"dataset": {
"type": "DatasetReference",
"referenceName": "CADOutput"
}
}
],
"sources": [
{
"name": "USDCurrency",
"dataset": {
"type": "DatasetReference",
"referenceName": "CurrencyDatasetUSD"
}
},
{
"name": "CADSource",
"dataset": {
"type": "DatasetReference",
"referenceName": "CurrencyDatasetCAD"
}
}
]
}
}
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
The object that defines the structure of an Azure Data Factory error response. |
|
created |
The type of identity that created the resource. |
|
Data |
The folder that this data flow is in. If not specified, Data flow will appear at the root level. |
|
Data |
Data flow reference type. |
|
Data |
Data flow reference type. |
|
Data |
Data flow resource type. |
|
Data |
Transformation for data flow sink. |
|
Data |
Transformation for data flow source. |
|
Dataset |
Dataset reference type. |
|
Dataset |
Dataset reference type. |
| Flowlet |
Data flow flowlet |
|
Linked |
Linked service reference type. |
|
Mapping |
Mapping data flow. |
|
Power |
Power query source. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
| Transformation |
A data flow transformation. |
| Type |
Linked service reference type. |
|
Wrangling |
Power Query data flow. |
CloudError
The object that defines the structure of an Azure Data Factory error response.
| Name | Type | Description |
|---|---|---|
| error.code |
string |
Error code. |
| error.details |
Array with additional error details. |
|
| error.message |
string |
Error message. |
| error.target |
string |
Property name/path in request associated with error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataFlowFolder
The folder that this data flow is in. If not specified, Data flow will appear at the root level.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the folder that this data flow is in. |
DataFlowReference
Data flow reference type.
| Name | Type | Description |
|---|---|---|
| datasetParameters |
|
Reference data flow parameters from dataset. |
| parameters |
|
Data flow parameters |
| referenceName |
string |
Reference data flow name. |
| type |
Data flow reference type. |
DataFlowReferenceType
Data flow reference type.
| Value | Description |
|---|---|
| DataFlowReference |
DataFlowReference |
DataFlowResource
Data flow resource type.
| Name | Type | Description |
|---|---|---|
| etag |
string |
"If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.") |
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties | DataFlow: |
Data flow properties. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
DataFlowSink
Transformation for data flow sink.
| Name | Type | Description |
|---|---|---|
| dataset |
Dataset reference. |
|
| description |
string |
Transformation description. |
| flowlet |
Flowlet Reference |
|
| linkedService |
Linked service reference. |
|
| name |
string |
Transformation name. |
| rejectedDataLinkedService |
Rejected data linked service reference. |
|
| schemaLinkedService |
Schema linked service reference. |
DataFlowSource
Transformation for data flow source.
| Name | Type | Description |
|---|---|---|
| dataset |
Dataset reference. |
|
| description |
string |
Transformation description. |
| flowlet |
Flowlet Reference |
|
| linkedService |
Linked service reference. |
|
| name |
string |
Transformation name. |
| schemaLinkedService |
Schema linked service reference. |
DatasetReference
Dataset reference type.
| Name | Type | Description |
|---|---|---|
| parameters |
|
Arguments for dataset. |
| referenceName |
string |
Reference dataset name. |
| type |
Dataset reference type. |
DatasetReferenceType
Dataset reference type.
| Value | Description |
|---|---|
| DatasetReference |
DatasetReference |
Flowlet
Data flow flowlet
| Name | Type | Description |
|---|---|---|
| annotations |
Data |
List of tags that can be used for describing the data flow. |
| description |
string |
The description of the data flow. |
| folder |
The folder that this data flow is in. If not specified, Data flow will appear at the root level. |
|
| type | string: |
Type of data flow. |
| typeProperties.script |
string |
Flowlet script. |
| typeProperties.scriptLines |
string[] |
Flowlet script lines. |
| typeProperties.sinks |
List of sinks in Flowlet. |
|
| typeProperties.sources |
List of sources in Flowlet. |
|
| typeProperties.transformations |
List of transformations in Flowlet. |
LinkedServiceReference
Linked service reference type.
| Name | Type | Description |
|---|---|---|
| parameters |
|
Arguments for LinkedService. |
| referenceName |
string |
Reference LinkedService name. |
| type |
Linked service reference type. |
MappingDataFlow
Mapping data flow.
| Name | Type | Description |
|---|---|---|
| annotations |
Data |
List of tags that can be used for describing the data flow. |
| description |
string |
The description of the data flow. |
| folder |
The folder that this data flow is in. If not specified, Data flow will appear at the root level. |
|
| type | string: |
Type of data flow. |
| typeProperties.script |
string |
DataFlow script. |
| typeProperties.scriptLines |
string[] |
Data flow script lines. |
| typeProperties.sinks |
List of sinks in data flow. |
|
| typeProperties.sources |
List of sources in data flow. |
|
| typeProperties.transformations |
List of transformations in data flow. |
PowerQuerySource
Power query source.
| Name | Type | Description |
|---|---|---|
| dataset |
Dataset reference. |
|
| description |
string |
Transformation description. |
| flowlet |
Flowlet Reference |
|
| linkedService |
Linked service reference. |
|
| name |
string |
Transformation name. |
| schemaLinkedService |
Schema linked service reference. |
|
| script |
string |
source script. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
Transformation
A data flow transformation.
| Name | Type | Description |
|---|---|---|
| dataset |
Dataset reference. |
|
| description |
string |
Transformation description. |
| flowlet |
Flowlet Reference |
|
| linkedService |
Linked service reference. |
|
| name |
string |
Transformation name. |
Type
Linked service reference type.
| Value | Description |
|---|---|
| LinkedServiceReference |
LinkedServiceReference |
WranglingDataFlow
Power Query data flow.
| Name | Type | Description |
|---|---|---|
| annotations |
Data |
List of tags that can be used for describing the data flow. |
| description |
string |
The description of the data flow. |
| folder |
The folder that this data flow is in. If not specified, Data flow will appear at the root level. |
|
| type | string: |
Type of data flow. |
| typeProperties.documentLocale |
string |
Locale of the Power query mashup document. |
| typeProperties.script |
string |
Power query mashup script. |
| typeProperties.sources |
List of sources in Power Query. |